Index: trunk/Makefile
===================================================================
--- trunk/Makefile	(revision 19)
+++ trunk/Makefile	(revision 55)
@@ -41,7 +41,8 @@
 	interface/STDHEPConverter.h \
 	interface/SmearUtil.h \
-	Utilities/Fastjet/include/fastjet/PseudoJet.hh \
-	Utilities/Fastjet/include/fastjet/ClusterSequence.hh \
-	Utilities/Fastjet/include/fastjet/config.h
+	interface/BFieldProp.h \
+	interface/TriggerUtil.h \
+	interface/VeryForward.h \
+	interface/JetUtils.h
 Resolutions$(ExeSuf): \
 	tmp/Resolutions.$(ObjSuf)
@@ -61,11 +62,26 @@
 	Utilities/Fastjet/include/fastjet/config.h \
 	interface/TreeClasses.h
+h_bb$(ExeSuf): \
+	tmp/h_bb.$(ObjSuf)
+
+tmp/h_bb.$(ObjSuf): \
+	h_bb.cpp \
+	Utilities/ExRootAnalysis/interface/TSimpleArray.h \
+	Utilities/ExRootAnalysis/interface/TSimpleBranch.h \
+	Utilities/ExRootAnalysis/interface/BlockClasses.h \
+	Utilities/ExRootAnalysis/interface/ExRootTreeReader.h \
+	Utilities/ExRootAnalysis/interface/ExRootTreeWriter.h \
+	Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h \
+	interface/TUtil.h \
+	interface/h_bb.h
 EXECUTABLE =  \
 	Delphes$(ExeSuf) \
-	Resolutions$(ExeSuf)
+	Resolutions$(ExeSuf) \
+	h_bb$(ExeSuf)
 
 EXECUTABLE_OBJ =  \
 	tmp/Delphes.$(ObjSuf) \
-	tmp/Resolutions.$(ObjSuf)
+	tmp/Resolutions.$(ObjSuf) \
+	tmp/h_bb.$(ObjSuf)
 
 tmp/Utilities/ExRootAnalysis/src/BlockClassesDict.$(SrcSuf): \
@@ -83,4 +99,7 @@
 	tmp/src/TreeClassesDict.$(ObjSuf)
 
+tmp/src/h_bb.$(ObjSuf): \
+	src/h_bb.$(SrcSuf) \
+	interface/h_bb.h
 tmp/src/HEPEVTConverter.$(ObjSuf): \
 	src/HEPEVTConverter.$(SrcSuf) \
@@ -113,4 +132,20 @@
 	src/TreeClasses.$(SrcSuf) \
 	interface/TreeClasses.h
+tmp/src/TUtil.$(ObjSuf): \
+	src/TUtil.$(SrcSuf) \
+	interface/TUtil.h
+tmp/src/TriggerUtil.$(ObjSuf): \
+	src/TriggerUtil.$(SrcSuf) \
+	interface/TriggerUtil.h
+tmp/src/BFieldProp.$(ObjSuf): \
+	src/BFieldProp.$(SrcSuf) \
+	interface/BFieldProp.h
+tmp/src/JetUtils.$(ObjSuf): \
+	src/JetUtils.$(SrcSuf) \
+	interface/JetUtils.h
+tmp/src/VeryForward.$(ObjSuf): \
+	src/VeryForward.$(SrcSuf) \
+	interface/VeryForward.h \
+	interface/SmearUtil.h
 tmp/Utilities/ExRootAnalysis/src/BlockClasses.$(ObjSuf): \
 	Utilities/ExRootAnalysis/src/BlockClasses.$(SrcSuf) \
@@ -184,58 +219,58 @@
 tmp/Utilities/Hector/src/H_VerticalQuadrupole.$(ObjSuf): \
 	Utilities/Hector/src/H_VerticalQuadrupole.$(SrcSuf)
-tmp/Utilities/Fastjet/src/DnnPlane.$(ObjSuf): \
-	Utilities/Fastjet/src/DnnPlane.$(SrcSuf)
-tmp/Utilities/Fastjet/src/Dnn4piCylinder.$(ObjSuf): \
-	Utilities/Fastjet/src/Dnn4piCylinder.$(SrcSuf)
-tmp/Utilities/Fastjet/src/Dnn3piCylinder.$(ObjSuf): \
-	Utilities/Fastjet/src/Dnn3piCylinder.$(SrcSuf)
-tmp/Utilities/Fastjet/src/Dnn2piCylinder.$(ObjSuf): \
-	Utilities/Fastjet/src/Dnn2piCylinder.$(SrcSuf)
+tmp/Utilities/Fastjet/src/AreaDefinition.$(ObjSuf): \
+	Utilities/Fastjet/src/AreaDefinition.$(SrcSuf)
+tmp/Utilities/Fastjet/src/BasicRandom.$(ObjSuf): \
+	Utilities/Fastjet/src/BasicRandom.$(SrcSuf)
+tmp/Utilities/Fastjet/src/ClosestPair2D.$(ObjSuf): \
+	Utilities/Fastjet/src/ClosestPair2D.$(SrcSuf)
 tmp/Utilities/Fastjet/src/ClusterSequence.$(ObjSuf): \
 	Utilities/Fastjet/src/ClusterSequence.$(SrcSuf)
-tmp/Utilities/Fastjet/src/PseudoJet.$(ObjSuf): \
-	Utilities/Fastjet/src/PseudoJet.$(SrcSuf)
+tmp/Utilities/Fastjet/src/ClusterSequence1GhostPassiveArea.$(ObjSuf): \
+	Utilities/Fastjet/src/ClusterSequence1GhostPassiveArea.$(SrcSuf)
+tmp/Utilities/Fastjet/src/ClusterSequenceActiveArea.$(ObjSuf): \
+	Utilities/Fastjet/src/ClusterSequenceActiveArea.$(SrcSuf)
+tmp/Utilities/Fastjet/src/ClusterSequenceActiveAreaExplicitGhosts.$(ObjSuf): \
+	Utilities/Fastjet/src/ClusterSequenceActiveAreaExplicitGhosts.$(SrcSuf)
+tmp/Utilities/Fastjet/src/ClusterSequenceArea.$(ObjSuf): \
+	Utilities/Fastjet/src/ClusterSequenceArea.$(SrcSuf)
+tmp/Utilities/Fastjet/src/ClusterSequenceAreaBase.$(ObjSuf): \
+	Utilities/Fastjet/src/ClusterSequenceAreaBase.$(SrcSuf)
+tmp/Utilities/Fastjet/src/ClusterSequencePassiveArea.$(ObjSuf): \
+	Utilities/Fastjet/src/ClusterSequencePassiveArea.$(SrcSuf)
+tmp/Utilities/Fastjet/src/ClusterSequenceVoronoiArea.$(ObjSuf): \
+	Utilities/Fastjet/src/ClusterSequenceVoronoiArea.$(SrcSuf)
+tmp/Utilities/Fastjet/src/ClusterSequence_CP2DChan.$(ObjSuf): \
+	Utilities/Fastjet/src/ClusterSequence_CP2DChan.$(SrcSuf)
+tmp/Utilities/Fastjet/src/ClusterSequence_Delaunay.$(ObjSuf): \
+	Utilities/Fastjet/src/ClusterSequence_Delaunay.$(SrcSuf)
+tmp/Utilities/Fastjet/src/ClusterSequence_DumbN3.$(ObjSuf): \
+	Utilities/Fastjet/src/ClusterSequence_DumbN3.$(SrcSuf)
 tmp/Utilities/Fastjet/src/ClusterSequence_N2.$(ObjSuf): \
 	Utilities/Fastjet/src/ClusterSequence_N2.$(SrcSuf)
 tmp/Utilities/Fastjet/src/ClusterSequence_TiledN2.$(ObjSuf): \
 	Utilities/Fastjet/src/ClusterSequence_TiledN2.$(SrcSuf)
-tmp/Utilities/Fastjet/src/ClusterSequence_Delaunay.$(ObjSuf): \
-	Utilities/Fastjet/src/ClusterSequence_Delaunay.$(SrcSuf)
-tmp/Utilities/Fastjet/src/ClusterSequence_DumbN3.$(ObjSuf): \
-	Utilities/Fastjet/src/ClusterSequence_DumbN3.$(SrcSuf)
-tmp/Utilities/Fastjet/src/ClusterSequence_CP2DChan.$(ObjSuf): \
-	Utilities/Fastjet/src/ClusterSequence_CP2DChan.$(SrcSuf)
-tmp/Utilities/Fastjet/src/ClosestPair2D.$(ObjSuf): \
-	Utilities/Fastjet/src/ClosestPair2D.$(SrcSuf)
+tmp/Utilities/Fastjet/src/Dnn2piCylinder.$(ObjSuf): \
+	Utilities/Fastjet/src/Dnn2piCylinder.$(SrcSuf)
+tmp/Utilities/Fastjet/src/Dnn3piCylinder.$(ObjSuf): \
+	Utilities/Fastjet/src/Dnn3piCylinder.$(SrcSuf)
+tmp/Utilities/Fastjet/src/Dnn4piCylinder.$(ObjSuf): \
+	Utilities/Fastjet/src/Dnn4piCylinder.$(SrcSuf)
+tmp/Utilities/Fastjet/src/DnnPlane.$(ObjSuf): \
+	Utilities/Fastjet/src/DnnPlane.$(SrcSuf)
+tmp/Utilities/Fastjet/src/Error.$(ObjSuf): \
+	Utilities/Fastjet/src/Error.$(SrcSuf)
+tmp/Utilities/Fastjet/src/GhostedAreaSpec.$(ObjSuf): \
+	Utilities/Fastjet/src/GhostedAreaSpec.$(SrcSuf)
+tmp/Utilities/Fastjet/src/JetDefinition.$(ObjSuf): \
+	Utilities/Fastjet/src/JetDefinition.$(SrcSuf)
 tmp/Utilities/Fastjet/src/MinHeap.$(ObjSuf): \
 	Utilities/Fastjet/src/MinHeap.$(SrcSuf)
-tmp/Utilities/Fastjet/src/ClusterSequenceAreaBase.$(ObjSuf): \
-	Utilities/Fastjet/src/ClusterSequenceAreaBase.$(SrcSuf)
-tmp/Utilities/Fastjet/src/ClusterSequenceActiveAreaExplicitGhosts.$(ObjSuf): \
-	Utilities/Fastjet/src/ClusterSequenceActiveAreaExplicitGhosts.$(SrcSuf)
-tmp/Utilities/Fastjet/src/ClusterSequenceArea.$(ObjSuf): \
-	Utilities/Fastjet/src/ClusterSequenceArea.$(SrcSuf)
-tmp/Utilities/Fastjet/src/GhostedAreaSpec.$(ObjSuf): \
-	Utilities/Fastjet/src/GhostedAreaSpec.$(SrcSuf)
-tmp/Utilities/Fastjet/src/ClusterSequenceActiveArea.$(ObjSuf): \
-	Utilities/Fastjet/src/ClusterSequenceActiveArea.$(SrcSuf)
+tmp/Utilities/Fastjet/src/PseudoJet.$(ObjSuf): \
+	Utilities/Fastjet/src/PseudoJet.$(SrcSuf)
+tmp/Utilities/Fastjet/src/RangeDefinition.$(ObjSuf): \
+	Utilities/Fastjet/src/RangeDefinition.$(SrcSuf)
 tmp/Utilities/Fastjet/src/Voronoi.$(ObjSuf): \
 	Utilities/Fastjet/src/Voronoi.$(SrcSuf)
-tmp/Utilities/Fastjet/src/ClusterSequenceVoronoiArea.$(ObjSuf): \
-	Utilities/Fastjet/src/ClusterSequenceVoronoiArea.$(SrcSuf)
-tmp/Utilities/Fastjet/src/ClusterSequencePassiveArea.$(ObjSuf): \
-	Utilities/Fastjet/src/ClusterSequencePassiveArea.$(SrcSuf)
-tmp/Utilities/Fastjet/src/ClusterSequence1GhostPassiveArea.$(ObjSuf): \
-	Utilities/Fastjet/src/ClusterSequence1GhostPassiveArea.$(SrcSuf)
-tmp/Utilities/Fastjet/src/BasicRandom.$(ObjSuf): \
-	Utilities/Fastjet/src/BasicRandom.$(SrcSuf)
-tmp/Utilities/Fastjet/src/JetDefinition.$(ObjSuf): \
-	Utilities/Fastjet/src/JetDefinition.$(SrcSuf)
-tmp/Utilities/Fastjet/src/Error.$(ObjSuf): \
-	Utilities/Fastjet/src/Error.$(SrcSuf)
-tmp/Utilities/Fastjet/src/AreaDefinition.$(ObjSuf): \
-	Utilities/Fastjet/src/AreaDefinition.$(SrcSuf)
-tmp/Utilities/Fastjet/src/RangeDefinition.$(ObjSuf): \
-	Utilities/Fastjet/src/RangeDefinition.$(SrcSuf)
 tmp/Utilities/Fastjet/plugins/CDFCones/CDFJetCluPlugin.$(ObjSuf): \
 	Utilities/Fastjet/plugins/CDFCones/CDFJetCluPlugin.$(SrcSuf) \
@@ -264,12 +299,12 @@
 	Utilities/Fastjet/plugins/SISCone/SISConePlugin.$(SrcSuf) \
 	Utilities/Fastjet/include/fastjet/ClusterSequence.hh
+tmp/Utilities/Fastjet/plugins/SISCone/src/geom_2d.$(ObjSuf): \
+	Utilities/Fastjet/plugins/SISCone/src/geom_2d.$(SrcSuf)
 tmp/Utilities/Fastjet/plugins/SISCone/src/area.$(ObjSuf): \
 	Utilities/Fastjet/plugins/SISCone/src/area.$(SrcSuf)
-tmp/Utilities/Fastjet/plugins/SISCone/src/geom_2d.$(ObjSuf): \
-	Utilities/Fastjet/plugins/SISCone/src/geom_2d.$(SrcSuf)
+tmp/Utilities/Fastjet/plugins/SISCone/src/momentum.$(ObjSuf): \
+	Utilities/Fastjet/plugins/SISCone/src/momentum.$(SrcSuf)
 tmp/Utilities/Fastjet/plugins/SISCone/src/hash.$(ObjSuf): \
 	Utilities/Fastjet/plugins/SISCone/src/hash.$(SrcSuf)
-tmp/Utilities/Fastjet/plugins/SISCone/src/momentum.$(ObjSuf): \
-	Utilities/Fastjet/plugins/SISCone/src/momentum.$(SrcSuf)
 tmp/Utilities/Fastjet/plugins/SISCone/src/protocones.$(ObjSuf): \
 	Utilities/Fastjet/plugins/SISCone/src/protocones.$(SrcSuf)
@@ -289,4 +324,5 @@
 	Utilities/Fastjet/plugins/SISCone/src/vicinity.$(SrcSuf)
 SOURCE_OBJ =  \
+	tmp/src/h_bb.$(ObjSuf) \
 	tmp/src/HEPEVTConverter.$(ObjSuf) \
 	tmp/src/LHEFConverter.$(ObjSuf) \
@@ -294,4 +330,9 @@
 	tmp/src/SmearUtil.$(ObjSuf) \
 	tmp/src/TreeClasses.$(ObjSuf) \
+	tmp/src/TUtil.$(ObjSuf) \
+	tmp/src/TriggerUtil.$(ObjSuf) \
+	tmp/src/BFieldProp.$(ObjSuf) \
+	tmp/src/JetUtils.$(ObjSuf) \
+	tmp/src/VeryForward.$(ObjSuf) \
 	tmp/Utilities/ExRootAnalysis/src/BlockClasses.$(ObjSuf) \
 	tmp/Utilities/ExRootAnalysis/src/ExRootProgressBar.$(ObjSuf) \
@@ -326,31 +367,31 @@
 	tmp/Utilities/Hector/src/H_VerticalKicker.$(ObjSuf) \
 	tmp/Utilities/Hector/src/H_VerticalQuadrupole.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/DnnPlane.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/Dnn4piCylinder.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/Dnn3piCylinder.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/Dnn2piCylinder.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/AreaDefinition.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/BasicRandom.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClosestPair2D.$(ObjSuf) \
 	tmp/Utilities/Fastjet/src/ClusterSequence.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/PseudoJet.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequence1GhostPassiveArea.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequenceActiveArea.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequenceActiveAreaExplicitGhosts.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequenceArea.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequenceAreaBase.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequencePassiveArea.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequenceVoronoiArea.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequence_CP2DChan.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequence_Delaunay.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequence_DumbN3.$(ObjSuf) \
 	tmp/Utilities/Fastjet/src/ClusterSequence_N2.$(ObjSuf) \
 	tmp/Utilities/Fastjet/src/ClusterSequence_TiledN2.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequence_Delaunay.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequence_DumbN3.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequence_CP2DChan.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClosestPair2D.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/Dnn2piCylinder.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/Dnn3piCylinder.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/Dnn4piCylinder.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/DnnPlane.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/Error.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/GhostedAreaSpec.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/JetDefinition.$(ObjSuf) \
 	tmp/Utilities/Fastjet/src/MinHeap.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequenceAreaBase.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequenceActiveAreaExplicitGhosts.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequenceArea.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/GhostedAreaSpec.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequenceActiveArea.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/PseudoJet.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/RangeDefinition.$(ObjSuf) \
 	tmp/Utilities/Fastjet/src/Voronoi.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequenceVoronoiArea.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequencePassiveArea.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequence1GhostPassiveArea.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/BasicRandom.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/JetDefinition.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/Error.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/AreaDefinition.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/RangeDefinition.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/CDFCones/CDFJetCluPlugin.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/CDFCones/CDFMidPointPlugin.$(ObjSuf) \
@@ -364,8 +405,8 @@
 	tmp/Utilities/Fastjet/plugins/CDFCones/src/PhysicsTower.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/SISCone/SISConePlugin.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/geom_2d.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/SISCone/src/area.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/geom_2d.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/momentum.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/SISCone/src/hash.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/momentum.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/SISCone/src/protocones.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/SISCone/src/quadtree.$(ObjSuf) \
@@ -464,7 +505,17 @@
 	tmp/Utilities/stdhep/stdhep_mcfio.$(ObjSuf)
 
+interface/TUtil.h: \
+	Utilities/ExRootAnalysis/interface/BlockClasses.h \
+	Utilities/ExRootAnalysis/interface/TSimpleArray.h
+	@touch $@
+
 interface/DataConverter.h: \
 	Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h \
 	Utilities/ExRootAnalysis/interface/LHEF.h
+	@touch $@
+
+interface/TriggerUtil.h: \
+	Utilities/ExRootAnalysis/interface/BlockClasses.h \
+	Utilities/ExRootAnalysis/interface/TSimpleArray.h
 	@touch $@
 
@@ -475,8 +526,15 @@
 	@touch $@
 
-interface/SmearUtil.h: \
+interface/JetUtils.h: \
+	interface/SmearUtil.h \
 	Utilities/ExRootAnalysis/interface/BlockClasses.h \
 	Utilities/ExRootAnalysis/interface/TSimpleArray.h \
-	Utilities/Fastjet/plugins/CDFCones/interface/PhysicsTower.hh
+	Utilities/ExRootAnalysis/interface/ExRootTreeReader.h \
+	Utilities/ExRootAnalysis/interface/ExRootTreeWriter.h \
+	Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h \
+	Utilities/Fastjet/plugins/CDFCones/interface/PhysicsTower.hh \
+	Utilities/Fastjet/include/fastjet/PseudoJet.hh \
+	Utilities/Fastjet/include/fastjet/ClusterSequence.hh \
+	Utilities/Fastjet/include/fastjet/config.h
 	@touch $@
 
@@ -486,8 +544,20 @@
 	@touch $@
 
+interface/SmearUtil.h: \
+	Utilities/ExRootAnalysis/interface/BlockClasses.h \
+	Utilities/ExRootAnalysis/interface/TSimpleArray.h \
+	Utilities/Fastjet/plugins/CDFCones/interface/PhysicsTower.hh
+	@touch $@
+
 interface/LHEFConverter.h: \
 	Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h \
 	Utilities/ExRootAnalysis/interface/LHEF.h \
 	interface/DataConverter.h
+	@touch $@
+
+interface/BFieldProp.h: \
+	interface/SmearUtil.h \
+	Utilities/ExRootAnalysis/interface/BlockClasses.h \
+	Utilities/ExRootAnalysis/interface/TSimpleArray.h
 	@touch $@
 
@@ -513,4 +583,22 @@
 	Utilities/stdhep/stdcm1.h \
 	Utilities/stdhep/stdver.h
+	@touch $@
+
+interface/h_bb.h: \
+	Utilities/ExRootAnalysis/interface/TSimpleArray.h \
+	Utilities/ExRootAnalysis/interface/TSimpleBranch.h \
+	Utilities/ExRootAnalysis/interface/BlockClasses.h \
+	Utilities/ExRootAnalysis/interface/ExRootTreeReader.h \
+	Utilities/ExRootAnalysis/interface/ExRootTreeWriter.h \
+	interface/TUtil.h
+	@touch $@
+
+interface/VeryForward.h: \
+	interface/SmearUtil.h \
+	Utilities/ExRootAnalysis/interface/BlockClasses.h \
+	Utilities/ExRootAnalysis/interface/TSimpleArray.h \
+	Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h \
+	Utilities/ExRootAnalysis/interface/ExRootTreeWriter.h \
+	Utilities/Fastjet/plugins/CDFCones/interface/PhysicsTower.hh
 	@touch $@
 
